# Uses of Class
org.springframework.mock.env.MockPropertySource

Packages that use MockPropertySource
Package
Description
org.springframework.mock.env
This package contains mock implementations of the `Environment` and `PropertySource` abstractions.

## Uses of MockPropertySource in org.springframework.mock.env

Methods in org.springframework.mock.env that return MockPropertySource
Modifier and Type
Method
Description
`MockPropertySource`
MockPropertySource.`withProperty(String name, Object value)`
Convenient synonym for `setProperty(java.lang.String, java.lang.Object)` that returns the current instance.